%define debug_package %{nil}
Name:		vbox-img
Summary: 	VirtuaBox image converter tool
Version:	1.0
Release:	6%{?dist}
License:	GPLv2
Group:		System Environment/Kernel
Source0:	VirtualBox-4.1.16.tar.bz2
Source1:	vbox-img
Source2:	COPYING
Source3:	vbox-img-sparc64.tar.bz2
Source4:	vbox-img.sparc64
Patch1: dummy.patch
# End Oracle Patches

URL:		http://www.virtualbox.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	x86_64

%description
VirtuaBox image converter tool. Source for this tool is available at 
http://www.virtualbox.org/wiki/Downloads#ose.

%prep
%setup -n %{name} -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
tar xjf %{SOURCE3}
%patch1 -p0
cp %{SOURCE4} solaris/

%build
# Do nothing

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m0755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING
/usr/bin/vbox-img

%changelog
* Thu Nov 08 2012 William Roche <william.roche@oracle.com> - 1.0-6
- BUG 14852001 - OVM SPARC: CANNOT CREATE TEMPLATE FROM AN ASSEMBLY WHICH HAS VMDK OR VDI FILE.

* Fri Nov 02 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.0-5
- Bug 14846665 - ovs sparc packages should not use the ldoms publisher
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>

* Thu Sep 27 2012 Alexandre Chartre <alexandre.chartre@oracle.com> - 1.0-4
- Solaris build and package support
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com>
  Signed-off-by: Srinivas Maturi <srinivas.maturi@oracle.com>

* Wed May 23 2012 Alexander Eichner <<Alexander.Eichner@oracle.com> - 1.0-3
- Fix hang on broken stdin when doing covert

* Fri Oct 07 2011 Srinivas Maturi <srinivas.maturi@oracle.com> 1.0-2
- Update source tarball and the binary (klaus.espenlaub@oracle.com)

* Tue Nov 02 2010 Srinivas Maturi <srinivas.maturi@oracle.com> 1.0-1
- Initial package
